#include <avr/io.h>

int main(void) {
  DDRA |= 1 << PINA7;           //set PINB2 as output for the LED
  PORTA ^= 1 << PINA7;          //toggle PINB2

  DDRA &= ~(1 << PINA3);        //set PINB3 as input for the Button

  uint16_t pressedDuration = 0;
  uint16_t releasedDuration = 0;
  uint8_t togglePin = 0;

  while(1){
    if(bit_is_set(PINA, 3)){  //read PINB3 if it has changed its state LOW ----> HIGH
      pressedDuration ++;
      if(pressedDuration > 5000){
        if(togglePin == 0){
          PORTA ^= 1 << PINA7;  //toggle PINB2
          togglePin = 1;
        }
        pressedDuration = 0;
      }
    }
    else{
      releasedDuration ++;
      if (releasedDuration > 5000){
        togglePin = 0;
        releasedDuration = 0;
      }
    }
  }
}
